// toShare dt.js
'use strict';
// uses rest, reservation, tooltip


class dtReservationsClass extends reservations {
	// thead th
	updateTheadTh(theadDate, colGroupCol, theadTh){
		super.updateTheadTh(theadDate, colGroupCol, theadTh);
		theadTh.dataset.tooltip = formatDate((theadDate), 'yyyy/MM/dd');
		theadTh.addEventListener('click', dtTodayView.onTheadThClick);
	}
	// tbody th
	updateTbodyTh(atsItem, tbodyTh){
		super.updateTbodyTh(atsItem, tbodyTh);
		tbodyTh.dataset.tooltip = atsItems.findField('item_id', Number(tbodyTh.dataset.itemId)).item_desc;
		tbodyTh.addEventListener('click', dtEdit.onTbodyThClick);
	}
	// tbody td p
	updateTbodyData(reservationItem, tbodyP){
		super.updateTbodyData(reservationItem, tbodyP);
		tbodyP.dataset.tooltip = '';
		tbodyP.addEventListener('click', dtEdit.onTbodyDataClick);
	}
}

const dtReservations = new dtReservationsClass;
const dtTodayView = new todayView(dtReservations, MINIMUM_UNIT_TIME);
const dtEdit = new reservationEdit(dtReservations, MINIMUM_UNIT_TIME);

initializePage(dtReservations, dtEdit, BULK_RESERVATION);
