// toShare dw.js
'use strict';
// uses rest, reservation, tooltip


class dwReservationsClass extends reservations {
	// thead th
	updateTheadTh(theadDate, colGroupCol, theadTh){
		super.updateTheadTh(theadDate, colGroupCol, theadTh);
		theadTh.innerText = ((theadDate.getDate()===1) ? formatDate(theadDate, 'M\n') : '') 
			+ formatDate(theadDate, 'd');
		theadTh.dataset.tooltip = formatDate((theadDate), 'yyyy/MM/dd');
		theadTh.addEventListener('click', dwTodayView.onTheadThClick);
	}
	// tbody th
	updateTbodyTh(atsItem, tbodyTh){
		super.updateTbodyTh(atsItem, tbodyTh);
		tbodyTh.dataset.tooltip = atsItems.findField('item_id', Number(tbodyTh.dataset.itemId)).item_desc;
		tbodyTh.addEventListener('click', dwEdit.onTbodyThClick);
	}
	// tbody td p
	updateTbodyData(reservationItem, tbodyP){
		const reservationStartDate = new Date(reservationItem.start_datetime);
		const reservationEndDate = new Date(reservationItem.end_datetime);
		tbodyP.innerText = reservationItem.reservation_desc + '\n'
			+ reservationItem.user_name + '\n'
			+ formatDate(reservationStartDate, 'yyyy/MM/dd から\n')
			+ formatDate(reservationEndDate, 'yyyy/MM/dd まで');
		tbodyP.dataset.tooltip = '';
		tbodyP.addEventListener('click', dwEdit.onTbodyDataClick);
	}
}

const dwReservations = new dwReservationsClass();
const dwTodayView = new todayView(dwReservations, MINIMUM_UNIT_DATE);
const dwEdit = new reservationEdit(dwReservations, MINIMUM_UNIT_DATE);

initializePage(dwReservations, dwEdit, BULK_RESERVATION);
